Subject: libiconv not working
To: None <,,>
From: Steve Bellovin <>
List: current-users
Date: 08/09/2003 03:55:51
I'm having trouble trying to build a number of different packages that 
depend on libiconv.  Here's one example:

cc -O2 -I/usr/pkg/include -I/usr/X11R6/include -DHAVE_ISPELL -I/usr/local/include -I/opt/include -I../ -D_REENTRANT -Wall -g -I/usr/pkg/include -DESD_SOUND -I/usr/X11R6/include/gtk-1.2 -I/usr/pkg/include/glib/glib-1.2 -I/usr/pkg/lib/glib/include -I/usr/X11R6/include -I.. -I../libproxy -I../libfaim -I../libjabber/include/jabber -I../libjabber/include -I../libxode/include -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -Wl,-R/usr/X11R6/lib -L/usr/X11R6/lib -o everybuddy main.o contactlist.o editcontacts.o service.o icq.o status.o account.o aim-toc.o info_window.o chat_window.o util.o add_contact_window.o edit_contact_window.o add_unknown_account.o sound.o about.o dialog.o prefs.o yahoo.o away_window.o browser.o message_parse.o progress_window.o chat_room.o account_scanner.o contact_scanner.o value_pair.o msn.o jabber.o edit_group_window.o importicq.o importlicq.o log_window.o gtkspell.o trigger.o console_session.o gtk_eb_html.o gtksctext.o input_lis!
t.o -lintl ../libmsn/libmsn.a ../libyahoo/libyahoo.a ../libproxy/libproxy.a ../libtoc/libtoc.a -lpthread ../libicq/libicq.a ../libjabber/libEBjabber.a ../libjabber/libjabber.a ../libxode/libxode.a -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -lesd -laudiofile -lm -lossaudio -L/usr/X11R6/lib -Wl,-R/usr/X11R6/lib -Wl,-R/usr/X11R6/lib -L/usr/X11R6/lib -L/usr/X11R6/lib -lgtk -lgdk -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -lgmodule -lglib -lintl -lXi -lXext -lX11 -lm -lXss -liconv
ld: cannot find -liconv
gmake[1]: *** [everybuddy] Error 1
gmake[1]: Leaving directory `/usr/pkgsrc/chat/everybuddy/work/everybuddy-0.2.0/src'
gmake: *** [all-recursive] Error 1
*** Error code 2

make: stopped in /usr/pkgsrc/chat/everybuddy
*** Error code 1

make: stopped in /usr/pkgsrc/chat/everybuddy

I've seen pkg/22262, but the proposed fix seems to be package-specific. 
I'm seeing this in a number of different places.  I'm running -current 
of 4 August with a newly-cvs'd pkgsrc.

		--Steve Bellovin,